LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XUriBinding Interface Reference

Interface of Uri Binding. More...

`import"XUriBinding.idl";`

Inheritance diagram for XUriBinding:

## Public Member Functions
void | setUriBinding ([in] string uri, [in] com::sun::star::io::XInputStream InputStream) raises ( com::sun::star::uno::Exception )
| Sets the XInputStream interface for a uri. More...
com::sun::star::io::XInputStream | getUriBinding ([in] string uri) raises ( com::sun::star::uno::Exception )
| Gets the XInputStream interface for a uri. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Uri Binding.

This interface is used to dynamically bind a uri with a XInputStream interface.

## Member Function Documentation

## ◆ getUriBinding()

com::sun::star::io::XInputStream getUriBinding | ( | [in] string | uri | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Gets the XInputStream interface for a uri.

Parameters

  uri | the uri whose binding is to get

Returns
  the XInputStream bound with the uri

## ◆ setUriBinding()

void setUriBinding | ( | [in] string | uri,
|  | [in] com::sun::star::io::XInputStream | InputStream
| ) |  |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Sets the XInputStream interface for a uri.

Parameters

  uri | the uri to bind
  InputStream | the XInputStream to be bound

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XUriBinding.idl